RDKit::SubstanceGroupException Class Reference

used to indicate errors from incorrect sgroup access More...

`#include <SubstanceGroup.h>`

Inheritance diagram for RDKit::SubstanceGroupException:

## Public Member Functions

| SubstanceGroupException (const char *msg)
| construct with an error message More...
| SubstanceGroupException (const std::string &msg)
| construct with an error message More...

## Detailed Description

used to indicate errors from incorrect sgroup access

Definition at line 34 of file SubstanceGroup.h.

## Constructor & Destructor Documentation

## SubstanceGroupException() [1/2]

RDKit::SubstanceGroupException::SubstanceGroupException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 38 of file SubstanceGroup.h.

## SubstanceGroupException() [2/2]

RDKit::SubstanceGroupException::SubstanceGroupException | ( | const std::string & | msg | ) |

inline

construct with an error message

Definition at line 40 of file SubstanceGroup.h.

The documentation for this class was generated from the following file:

- SubstanceGroup.h